# NutUI-JDL
![npm version](https://img.shields.io/npm/v/@nutui/nutui-jdl.svg)  [![Build Status](https://api.travis-ci.org/jdf2e/nutui.svg?branch=nutui-jdl)](https://github.com/jdf2e/nutui/) [![Coverage Status](https://coveralls.io/repos/github/jdf2e/nutui/badge.svg?branch=nutui-jdl)](https://coveralls.io/github/jdf2e/nutui?branch=nutui-jdl) ![license](https://img.shields.io/npm/l/@nutui/nutui-jdl.svg)
 
A light mobile Toolkit
    
![NutUI](https://img11.360buyimg.com/uba/jfs/t1/11117/21/3608/18942/5c20ab52E35e5a500/02e3c1f89cd3dad1.png)

English | [简体中文](./README-zh_CN.md)

## Features

* New structure
* 50+ Reusable components
* Used by 40+ JD mobile projects
* Refer to JDL visual specification
* On-demand loading Support
* Detailed documents and examples
* Customize themes Support
* Multiple languages Support (Internationalization)
* TypeScript Support
* Vue Server-side Rendering Support（Vue SSR）
* Unit test blessing
* A Webpack-based build tool is available to quickly create a Vue project with this component library built in 

## Environment Support

* Android 4.0+
* iOS 8.0+
* Support Vue Server-side Rendering

## Version

* Stable:[![npm](https://img.shields.io/npm/v/@nutui/nutui-jdl.svg)](https://www.npmjs.com/package/@nutui/nutui-jdl)

> You can also subscribe to： https://github.com/jdf2e/nutui/releases.atom for the notifications of stable releases。

## Examples

![NutUI Demo](https://img12.360buyimg.com/imagetools/jfs/t1/124892/31/7144/6065/5f0d9fe4Ef020d678/cae78d015aa5897c.png)

## Installation

Please refer to the NutUI offcial website for the details on how to use it 

https://nutui.jd.com/jdl

Documents：[nutui](https://nutui.jd.com/) | [nutui-jdl](https://nutui.jd.com/jdl/)

## Links
* [Feedback](https://github.com/jdf2e/nutui/issues)
* [Change Logs](https://github.com/jdf2e/nutui/releases)
* [Case collection](https://github.com/jdf2e/nutui/issues/16)
* [On-demand plugins](https://www.npmjs.com/package/@nutui/babel-plugin-separate-import)
* [Template project command line tool(Gaea-cli)](https://github.com/jdf2e/Gaea4)
* Contact us：nutui@jd.com


## User Cases

NutUI has been put into use in our production environment and is widely used in developing countries at the same time.

<img src="https://raw.githubusercontent.com/jdf2e/nutui-user-cases/master/user-cases.jpg" />

[Call for more excellent cases](https://github.com/jdf2e/nutui-user-cases)

## Open Source LICENSE

Based on **MIT** LICENSE