# NutUI-JDL

NutUI-JDL 是一套基于京东物流视觉规范的移动端组件库。

<div style="margin:30px 0;">
    <img src="http://img14.360buyimg.com/uba/jfs/t1/8543/6/11560/22014/5c2c6136E8023ac0a/6abbd9de10999c48.png" width="150" alt="NutUI">
</div>

<iframe src="https://ghbtns.com/github-btn.html?user=jdf2e&repo=nutui&type=star&count=true" frameborder="0" scrolling="0" width="60px" height="20px"></iframe>

<iframe src="https://ghbtns.com/github-btn.html?user=jdf2e&repo=nutui&type=watch&count=true&v=2" frameborder="0" scrolling="0" width="70px" height="20px"></iframe>

<iframe src="https://ghbtns.com/github-btn.html?user=jdf2e&repo=nutui&type=fork&count=true" frameborder="0" scrolling="0" width="60px" height="20px"></iframe>

## 特性

* 36+ 高质量组件
* 基于京东物流视觉规范
* 支持按需加载
* 详尽的文档和示例
* 支持定制主题
* 支持多语言（国际化）
* 支持 TypeScript
* 支持服务端渲染（Vue SSR）
* 单元测试加持
* 配套有基于Webpack的构建工具，可快速创建已内置本组件库的Vue工程

## 示例

![NutUI Demo](https://img12.360buyimg.com/imagetools/jfs/t1/124892/31/7144/6065/5f0d9fe4Ef020d678/cae78d015aa5897c.png)

## 支持环境

* Android 4.0+
* iOS 8.0+
* 支持服务端渲染

## 构建版本

* UMD版 **nutui.js**
* UMD压缩版 **nutui.min.js**

> AMD 环境、Webpack 等构建工具环境、服务端建议使用 UMD 版，非模块化环境（如通过 `<script>` 标签直接引用）建议使用 UMD 压缩版。

最新稳定版：![npm](https://img.shields.io/npm/v/@nutui/nutui-jdl.svg)

> 你还可以订阅： https://github.com/jdf2e/nutui/releases.atom 来获得稳定版发布的通知。

## 链接
* [Vue官方文档](http://cn.vuejs.org/)
* [Webpack](http://webpack.github.io/)
* [意见反馈](https://github.com/jdf2e/nutui/issues)
* [更新日志](https://github.com/jdf2e/nutui/releases)
* [案例征集](https://github.com/jdf2e/nutui/issues/16)
* [模板工程命令行工具(Gaea CLI)](https://www.npmjs.com/package/gaea-cli)
* 联系我们：nutui@jd.com
* [加入我们](#/joinus)


## 开源协议

本项目基于 **MIT** 协议